import { MessageFlag } from "../enums/MessageFlag";

export declare class IMAPMessageNativeBinding {
    get sequenceNumber(): number;
    set sequenceNumber(sequenceNumberV: number);
    get uid(): number;
    set uid(uidV: number);
    get size(): number;
    set size(sizeV: number);
    get flags(): MessageFlag;
    set flags(flag: MessageFlag);
    get originalFlags(): MessageFlag;
    set originalFlags(flag: MessageFlag);
    htmlRendering(folder: string): string;
    description(): string;
}

export declare interface IMAPMessageNativeBindingObject {
    new (): IMAPMessageNativeBinding;
    strError(errorCode: number): string;
}
